// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"
#include "Stashable.generated.h"

// This class does not need to be modified.
UINTERFACE(MinimalAPI)
class UStashable : public UInterface
{
	GENERATED_BODY()
};

/**
 * 
 */
class GAME_API IStashable
{
	GENERATED_BODY()

	// Add interface functions to this class. This is the class that will be inherited to implement this interface.
public:
	
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent)
	void Interact();

};
